Project

General

Profile

Bug #13900

Add documentation about rudder <-> plugin version compatibility

Added by François ARMAND over 1 year ago. Updated 3 months ago.

Status:
Released
Priority:
N/A
Category:
Documentation
Target version:
Severity:
User visibility:
Effort required:
Priority:
0

Description

Some Rudder or Plugin versions introdude binary compability issues that force to use a given plugin version with a given Rudder version.

This must be documented because in the worste cases, it causes Rudder to not boot with strange error (java classpath errors, "NoSuchMethodException" and other things).


Related issues

Related to Rudder - Bug #14099: Add documentation about rudder <-> plugin version compatibility in docsReleasedFrançois ARMANDActions
#1

Updated by François ARMAND over 1 year ago

  • Status changed from New to In progress
#2

Updated by François ARMAND over 1 year ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from François ARMAND to Alexis MOUSSET
  • Pull Request set to https://github.com/Normation/rudder-plugins/pull/141
#3

Updated by Alexis MOUSSET over 1 year ago

  • Related to Bug #14099: Add documentation about rudder <-> plugin version compatibility in docs added
#4

Updated by François ARMAND over 1 year ago

  • Status changed from Pending technical review to Pending release
#5

Updated by Vincent MEMBRÉ 3 months ago

  • Status changed from Pending release to Released

Also available in: Atom PDF